Mandriva Linux Security Advisory : nss_ldap (MDVSA-2008:049)

Medium Nessus Plugin ID 37403


The remote Mandriva Linux host is missing a security update.


A race condition in nss_ldap, when used in applications that use pthread and fork after a call to nss_ldap, does not properly handle the LDAP connection, which might cause nss_ldap to return the wrong user data to the wrong process, giving one user access to data belonging to another user, in some cases.

The updated package hais been patched to prevent this issue.


Update the affected nss_ldap package.

Plugin Details

Severity: Medium

ID: 37403

File Name: mandriva_MDVSA-2008-049.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2009/04/23

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:nss_ldap, cpe:/o:mandriva:linux:2007

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2008/02/25

Reference Information

CVE: CVE-2007-5794

BID: 26452

MDVSA: 2008:049

CWE: 362